Bug 998468 - [origin_runtime_219] jbosseap app with jenkins client added cannot build after server upgrade and migrate
[origin_runtime_219] jbosseap app with jenkins client added cannot build afte...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 07:39 EDT by Meng Bo
Modified: 2015-05-14 19:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:53:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-08-19 07:39:47 EDT
Description of problem:
Create jbosseap app with jenkins added on devenv-stage ami, upgrade the server to latest devenv and run migration scripts.

Try to use jenkins to build jbosseap app.

Jenkins build failed to trigger.


Version-Release number of selected component (if applicable):
devenv-stage_442 to devenv_3672

How reproducible:
always

Steps to Reproduce:
1.Create jbosseap with jenkins added on devenv-stage ami
2.Upgrade the server and do migration
3.Try to use jenkins to build jbosseap
4.Login to the jenkins console and check the job info.

Actual results:
Failed to build jbosseap app with jenkins.
The job config still using jbosseap-6.0 as builder type.

Expected results:
jbosseap can be built with jenkins after migration.



Additional info:
Jenkins log:
Aug 19, 2013 7:29:46 AM hudson.plugins.openshift.OpenShiftCloud provision
WARNING: Caught com.openshift.client.OpenShiftException: Cartridge for jbosseap-6.0 not found. Will retry 1 more times before canceling build.
com.openshift.client.OpenShiftException: Cartridge for jbosseap-6.0 not found
	at hudson.plugins.openshift.OpenShiftSlave.getCartridge(OpenShiftSlave.java:98)
	at hudson.plugins.openshift.OpenShiftSlave.createApp(OpenShiftSlave.java:227)
	at hudson.plugins.openshift.OpenShiftSlave.provision(OpenShiftSlave.java:217)
	at hudson.plugins.openshift.OpenShiftCloud.provisionSlave(OpenShiftCloud.java:470)
	at hudson.plugins.openshift.OpenShiftCloud.provision(OpenShiftCloud.java:401)

	at hudson.slaves.NodeProvisioner.update(NodeProvisioner.java:264)
	at hudson.slaves.NodeProvisioner.access$000(NodeProvisioner.java:51)
	at hudson.slaves.NodeProvisioner$NodeProvisionerInvoker.doRun(NodeProvisioner.java:347)
	at hudson.triggers.SafeTimerTask.run(SafeTimerTask.java:54)
	at java.util.TimerThread.mainLoop(Timer.java:555)
	at java.util.TimerThread.run(Timer.java:505)
Comment 1 John W. Lamb 2013-08-21 14:57:10 EDT
Fix for this and https://bugzilla.redhat.com/show_bug.cgi?id=998455 are in this pull request: https://github.com/openshift/li/pull/1846
Comment 2 openshift-github-bot 2013-08-21 15:53:43 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/f1e41de6742076d99d270bb69cfcdde30fdb47ab
<gear_upgrade_extension> Bug 998468, Fix builderType for re-versioned jbosseap cart jobs
https://bugzilla.redhat.com/show_bug.cgi?id=998468

This adds logic to fix up the builderType value in the jenkins
config.xml for jbosseap jobs to match the new cartridge signature
"jbosseap-6"
Comment 3 Meng Bo 2013-08-22 05:52:37 EDT
After migration from devenv-stage_442 to devenv-stage_448, the jenkins with jbosseap app can work well.

The builder type has been updated accordingly in jenkins server.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.